## Expected Behavior
If you're describing a bug, tell us what should happen.
If you're suggesting a change/improvement, tell us how it should work.

## Current Behavior
If describing a bug, tell us what happens instead of the expected behavior.
If suggesting a change/improvement, explain the difference from current behavior.

## Steps to Reproduce
Provide an unambiguous set of steps to reproduce this bug. Include commands that you used
in the shell, or snippets of how you are using the JavaScript API.

1.  
2.  
3.  
4.  

## Logs
It is helpful to include any logs that selenium-standalone outputs to help diagnose issues.
Take a look at the [README](https://github.com/vvo/selenium-standalone/blob/master/README.md#debug-logs-for-selenium-standalone-process) for how
to enable debug log statements that will help us even more than the standard output logs.

If there are lots of logs, please link to [a public gist](https://gist.github.com/).

## Your Environment
* Version of `selenium-standalone` that you are using:
* Is there another tool calling `selenium-standalone` on your behalf:
* System/platform:
* Other details that might be important:
